Index Page spkuef_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void spkuef_c ( SpiceInt handle )

#### Abstract

       Unload an ephemeris file so that it will no longer be searched by
       the readers.

#### Required_Reading

       SPK

#### Keywords

       EPHEMERIS
       FILES

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   Handle of file to be unloaded

#### Detailed_Input

       handle     Integer handle assigned to the file upon loading.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       None.

#### Files

       The file referred to by handle is unloaded.

#### Particulars

       A file is removed from consideration by the readers by a call to
       spkuef_c.

       The file table entry corresponding to the file referenced by
       handle, is removed.  Also any segment table entry which came from
       the specified file is also deleted.

       If the file specified by handle does not appear in the file table,
       nothing happens.

#### Examples

       // Unload the kernel file assigned to hand..
          spkuef_c ( hand1 );

       Also see the Example in spkbsr.for.

#### Restrictions

       None.

#### Literature_References

       NAIF Document 168.0, "S- and P- Kernel (SPK) Specification and
       User's Guide"

#### Author_and_Institution

       J.M. Lynch      (JPL)
       R.E. Thurman    (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.1, 02-JUL-2003 (EDW)

           Corrected trivial typo in the Version 1.0.0 line.
           The typo caused an integrity check script to fail.

       -CSPICE Version 1.0.0, 19-OCT-1997 (EDW)

#### Index_Entries

       unload spk ephemeris file

#### Link to routine spkuef_c source file spkuef_c.c

    Wed Apr  5 17:54:44 2017